Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.httppubsub
Class BayeuxMessage.TYPE

    java.lang.Object
      |
      +--java.lang.Enum
            |
            +--com.bea.httppubsub.BayeuxMessage.TYPE

public static final class BayeuxMessage.TYPE
extends java.lang.Enum

The message type indicates the type of message.

- HANDSHAKE - A handshake message for a channel
- CONNECT - A connect message for a channel
- RECONNECT - A reconnect message for a channel
- DISCONNECT - A disconnect message for a channel
- SUBSCRIBE - A subscribe message for a channel
- UNSUBSCRIBE - An unsubscribe message for a channel
- PUBLISH - A publish message for a channel

Notes: The following Bayeux message types are deprecated and removed from latest Bayeux protocol. We don't support them.
- PING - A ping message for a channel
- STATUS - A status message for a channel

See Also:
  Serialized Form

Field Summary
`static BayeuxMessage.TYPE` | `CONNECT`
`static BayeuxMessage.TYPE` | `DISCONNECT`
`static BayeuxMessage.TYPE` | `HANDSHAKE`
`static BayeuxMessage.TYPE` | `PING`
`static BayeuxMessage.TYPE` | `PUBLISH`
`static BayeuxMessage.TYPE` | `RECONNECT`
`static BayeuxMessage.TYPE` | `STATUS`
`static BayeuxMessage.TYPE` | `SUBSCRIBE`
`static BayeuxMessage.TYPE` | `UNSUBSCRIBE`

Method Summary
`static BayeuxMessage.TYPE` | `valueOf(java.lang.String name)`
`static BayeuxMessage.TYPE[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HANDSHAKE

    public static final BayeuxMessage.TYPE HANDSHAKE

### CONNECT

    public static final BayeuxMessage.TYPE CONNECT

### RECONNECT

    public static final BayeuxMessage.TYPE RECONNECT

### DISCONNECT

    public static final BayeuxMessage.TYPE DISCONNECT

### SUBSCRIBE

    public static final BayeuxMessage.TYPE SUBSCRIBE

### UNSUBSCRIBE

    public static final BayeuxMessage.TYPE UNSUBSCRIBE

### PUBLISH

    public static final BayeuxMessage.TYPE PUBLISH

### PING

    public static final BayeuxMessage.TYPE PING

### STATUS

    public static final BayeuxMessage.TYPE STATUS

Method Detail

### values

    public static BayeuxMessage.TYPE[] values()

### valueOf

    public static BayeuxMessage.TYPE valueOf(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.